// Fonts
@import url("https://fonts.googleapis.com/css?family=Nunito");

// Variables
@import "variables";
$fa-font-path: "../webfonts";
// Bootstrap
@import "~bootstrap/scss/bootstrap";

@import "~admin-lte/dist/css/adminlte.css";
@import "~@fortawesome/fontawesome-free/scss/fontawesome.scss";
@import "~@fortawesome/fontawesome-free/scss/solid.scss";
@import "~@fortawesome/fontawesome-free/scss/brands.scss";

//rgb(63, 185, 171);
$main-color: rgb(37, 141, 37);
$side-color: rgb(37, 139, 37);
$light-side-color: #eaf1e9f3;

.suggested-p:hover { 
   cursor: pointer;
}

.suggested-p { 
    color: blue;
}

.navbar {
padding-top: 20px; 
}
.wizard-icon-container { 
    background-color: $side-color;
}
.categories-sort-list {
    padding: 0px;
}

.list-group {
    margin-bottom: 0px !important;
}

.stats-status {
    padding: 3px;
}
.user-name {
    color: white;
}

.card-body-footer {
    padding: 10px;
}
.fa,
.fas {
    cursor: pointer !important;
}

.selected_statement {
    background-color: rgb(101, 201, 101) !important;
    text-align: center;
}
.modal-import {
    max-width: 60%;
}
.wizard-header {
    display: none !important;
}

.box-header {
    background-color: $light-side-color;
}

h3, .box-title{ 
    font-size: 1.275rem !important;
}

.navbar-light .form-control-navbar,
.navbar-light .btn-navbar {
    background-color: $light-side-color !important;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: $light-side-color !important;
}

.saving-campaign-stats-footer {
    display: inline;
}

.savingcampaign-stats-footer-box {
    text-align: center;
    padding: 0.75%;
    display: inline-block;
}

.savingcampaign-stats-footer-box p {
    margin-bottom: 0px;
}

.card-header {
    vertical-align: center !important;
}

.page-item.active .page-link {
    background-color: $main-color;
    border-color: $main-color;
}

.page-link {
    color: $main-color;
}

@media only screen and (max-width: 600px) {
    .show-charts-stats-btn {
        margin-bottom: 8px;
    }
    .savingcampaign-stats-footer-box:nth-child(1) {
        margin-bottom: 1%;
    }

    .card-header > .card-tools {
        margin-top: 10px;
        text-align: center;
        position: sticky;
    }

    .add-new-btn { 
        margin-bottom: 8px;
    }

    h3 {
        text-align: center;
    }

    input[type="file"] {
        padding: 2% 0;
    }
}

.report-stats,
.saving-campaign-box,
.table-area, .charts-page-top {
    overflow: auto;
    overflow-y: auto;
    overflow-x: auto;
}

.chart-description {
    padding: 0 2%;
}

.chart-description-example {
    font-style: italic;
}

.btn-success {
    background-color: $main-color;
    border-color: $main-color;
}

.btn-success:hover {
    background-color: $side-color;
    border-color: $side-color;
}

.btn-success:focus {
    background-color: $main-color;
    border-color: $main-color;
}

.btn-success:not(:disabled):not(.disabled):active,
.btn-success:not(:disabled):not(.disabled).active,
.show > .btn-success.dropdown-toggle {
    background-color: $side-color !important;
}

.btn:focus,
.btn:active {
    outline: none !important;
    box-shadow: none !important;
    border-color: $main-color;
}

.small-box {
    background-color: $side-color;
    height: 90%;
    color: white;
}

// .progress .progress-bar{background: #01A688;}
.sidebar-dark-primary {
    background-color: rgb(5, 22, 7) !important;
}

.router-link-exact-active {
    background-color: $main-color !important;
}

.bg-main-color {
    background-color: $main-color;
}

.bg-soft-blue {
    background-color: rgb(37, 161, 161);
}

.bg-soft-red { 
    background-color: rgb(231, 206, 206);
}

.monthExp {
    background-color: #3f51b5;
}

.diffFromPreviousMonth {
    background-color: #dd4b39;
}

.totalExpensesYearAvg {
    background-color: #f39c12;
}

.avgDiff {
    background-color: #00a65a !important;
}

.box.box-primary {
    border-top-color: #3c8dbc;
}

.charts-container {
    margin: auto;
    width: 99%;
    padding: 20px 5px;
}

.doughnut-chart,
.bar-chart,
.chart {
    width: 100%;
    padding: 2%;
}

.line-chart {
    width: 100%;
}

.selector-area,
.beneficiary-selector-area,
.category-selector-area {
    width: 55%;
    margin: auto;
}

.charts-page-top, .report-page-top {
    margin-top: 15px;
    text-align: center;
}

.components-list > li {
    padding: 0;
}

.box {
    position: relative;
    border-radius: 3px;
    background: #ffffff;
    border-top: 3px solid #d2d6de;
    margin-bottom: 20px;
    text-align: center;
    width: 100%;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

.box-header {
    padding-top: 2%;
    padding-bottom: 2%;
}

.card-footer {
    background: #ffffff;
}

.box-body {
    padding-top: 2%;
}

.paginator {
    margin-left: 35%;
}

.navbar-laravel {
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}
.router-link-exact-active {
    background-color: #3f51b5;
    color: #fff !important;
}

.show-table-btn {
    background-color: white;
}

.show-chart-btn {
    background-color: white;
}

.bg-green {
    background-color: #ccff99;
}

.bg-red {
    background-color: #ff8080;
}

.bg-status-1 {
    background-color: #ffcccc;
}

.bg-status-2 {
    background-color: #ff8080;
}
.bg-status-3 {
    background-color: #DC143C;
}

.bg-status0 {
    background-color: #FFD700;
}

.bg-status1 {
    background-color: lightgreen;
}

.bg-status2 {
    background-color: #8cd98c;
}
.bg-status3 {
    background-color: #39ac39;
}

.bg-status4 {
    background-color: $main-color;
}

.monthExp {
    background-color: #3f51b5;
}

.main-stats * {
    visibility: hidden;
    display: none;
}

.mx-datepicker-popup {
    z-index: 50000000000000 !important;
}

@media print {
    body * {
        visibility: hidden;
    }

    .not-print {
        display: none;
    }

    .print-stats * {
        visibility: visible;
    }

    .main-stats * {
        visibility: visible;
        display: block;
    }
}

// .nav.nav-tabs li:not(.active){
//     display: none;
// }
// .invoice{
// 	padding: 10px 20px;
// }

// .invoice{
// 	background-position: center center;
// 	background-repeat: no-repeat;

// }
// .table-responsive table{
// 	background-color: transparent !important;
// }

@page {
    margin: 0;
}
